#ifndef AUDIOLAYERWIDGET_H
#define AUDIOLAYERWIDGET_H

#include <QtGui>

//#include "ui_audiolayerwidget.h"
/*
namespace Ui {
class AudioLayerWidget;
}*/

class AudioLayerWidget : public QGroupBox
{
    Q_OBJECT
    
public:

     AudioLayerWidget(QWidget *parent, QString name);
    ~AudioLayerWidget();

    inline void setFile(QString file) const
    {
        this->file->setText(file);
    }

    inline void setFolder(QString folder) const
    {
        this->folder->setText(folder);
    }

    inline void setVol(float vol) const
    {
        this->vol->setValue(vol);
    }

    
private:
    QLabel *file;
    QLabel *folder;
    QSlider *vol;
//    QCheckBox *mute;
    QLabel *status;
};

#endif // AUDIOLAYERWIDGET_H
