#ifndef AUDIOWIDGET_H
#define AUDIOWIDGET_H

#include <QObject>
#include <QWidget>
#include <QVBoxLayout>
#include "audiomasterwidget.h"
#include "audiolayerwidget.h"
#include "defines.h"

class AudioWidget : public QWidget
{

    Q_OBJECT

public:

    AudioWidget(QWidget *parent);

private:

//    QList<AudioLayerWidget*> *list;

    QHBoxLayout *layout;

signals:
    
public slots:
    void mediaLoaded(int layer, QString folder, QString file);
    void volChanged(int layer, int vol);

};

#endif // AUDIOWIDGET_H
